better error output
[automated-distro-installer] / arch-pxe
index 03ec659949e17470d26951236cc3796dc15f10c4..56e479094cf2a6525b4835baab4e04c7b2d5d9a8 100755 (executable)
--- a/arch-pxe
+++ b/arch-pxe
@@ -4,7 +4,7 @@
 # Requires manually downloading image to /a/opt, and set it's name below.
 
 set -eE -o pipefail
-trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?"' ERR
+trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
 
 cd /a/opt
 #iso="archlinux-2015.11.01-dual"